/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftokt19
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftokt19` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftokt19`;

/*Table structure for table `kanal` */

DROP TABLE IF EXISTS `kanal`;

CREATE TABLE `kanal` (
  `KanalID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `Vlasnik` varchar(255) DEFAULT NULL,
  `Frekvencija` varchar(255) DEFAULT NULL,
  `Tip` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`KanalID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `kanal` */

insert  into `kanal`(`KanalID`,`Naziv`,`Vlasnik`,`Frekvencija`,`Tip`) values (1,'RTS1','JMU Radio-Televizija Srbije','Nacionalna','TV'),(2,'RTS2','JMU Radio-Televizija Srbije','Regionalna','TV'),(3,'RTS3','JMU Radio-Televizija Srbije','Regionalna','TV'),(4,'Arena Sport 1','Telekom Srbija','Regionalna','TV'),(5,'Arena Sport 2','Telekom Srbija','Regionalna','TV'),(6,'Arena Sport 3','Telekom Srbija','Regionalna','TV'),(7,'Arena Sport 4','Telekom Srbija','Regionalna','TV'),(8,'Arena Sport 5','Telekom Srbija','Regionalna','TV'),(9,'Radio Beograd 1','JMU Radio-Televizija Srbije','Nacionalna','Radio'),(10,'Radio Beograd 2','JMU Radio-Televizija Srbije','Regionalna','Radio'),(11,'Radio Beograd 202','JMU Radio-Televizija Srbije','Regionalna','Radio'),(12,'Radio S1','S Media','Regionalna','Radio'),(13,'Radio S2','S Media','Regionalna','Radio'),(14,'Radio S3','S Media','Regionalna','Radio'),(15,'Sport Klub 1','SBB','Regionalna','TV'),(16,'Sport Klub 2','SBB','Regionalna','TV'),(17,'Sport Klub 3','SBB','Regionalna','TV'),(18,'Sport Klub 4','SBB','Regionalna','TV'),(19,'Sport Klub 5','SBB','Regionalna','TV'),(20,'Sport Klub Golf','SBB','Regionalna','TV'),(21,'Superstar','Telekom Srbija','Regionalna','TV'),(22,'Brainz','SBB','Regionalna','TV');

/*Table structure for table `operator` */

DROP TABLE IF EXISTS `operator`;

CREATE TABLE `operator` (
  `OperatorID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `Adresa` varchar(255) DEFAULT NULL,
  `Kontakt` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`OperatorID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `operator` */

insert  into `operator`(`OperatorID`,`Naziv`,`Adresa`,`Kontakt`) values (1,'Supernova','Adresa1','kontakt@supernova.rs'),(2,'MTS','Adresa2','kontakt@mts.rs'),(3,'SBB','Adresa3','kontakt@sbb.rs'),(4,'Orion','Adresa4','kontakt@orion.rs');

/*Table structure for table `paket` */

DROP TABLE IF EXISTS `paket`;

CREATE TABLE `paket` (
  `PaketID` int(11) NOT NULL AUTO_INCREMENT,
  `Naziv` varchar(255) DEFAULT NULL,
  `DatumOd` date DEFAULT NULL,
  `DatumDo` date DEFAULT NULL,
  `UkljucenInternet` tinyint(1) DEFAULT NULL,
  `UkljucenTelefon` tinyint(1) DEFAULT NULL,
  `Cena` double(10,2) DEFAULT NULL,
  `OperatorID` int(11) DEFAULT NULL,
  PRIMARY KEY (`PaketID`),
  KEY `OperatorID` (`OperatorID`),
  CONSTRAINT `paket_ibfk_1` FOREIGN KEY (`OperatorID`) REFERENCES `operator` (`OperatorID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `paket` */

/*Table structure for table `paketrasporedkanala` */

DROP TABLE IF EXISTS `paketrasporedkanala`;

CREATE TABLE `paketrasporedkanala` (
  `PaketID` int(11) NOT NULL,
  `RbNumeracija` int(11) NOT NULL,
  `KanalID` int(11) DEFAULT NULL,
  PRIMARY KEY (`PaketID`,`RbNumeracija`),
  KEY `KanalID` (`KanalID`),
  CONSTRAINT `paketrasporedkanala_ibfk_1` FOREIGN KEY (`PaketID`) REFERENCES `paket` (`PaketID`),
  CONSTRAINT `paketrasporedkanala_ibfk_2` FOREIGN KEY (`KanalID`) REFERENCES `kanal` (`KanalID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `paketrasporedkanala` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
